## org.eclipse.jst.jsf.common.metadata.query
Interface IResultSet<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  AbstractResultSet, EmptyResultSet

    public interface IResultSet<T>

Results from a metadata query. The resultset should be considered valid only at the time that the query is performed. Once "closed", the resultset should not be accessed again.

Not intended to be implemented directly by clients. Developers should extend `AbstractResultSet` instead.

Provisional API - subject to change

Method Summary
`void` `close()` Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called.
`java.util.List<T>` `getResults()`
`boolean` `isClosed()`

Method Detail

### getResults

    java.util.List<T> getResults()
                                 throws MetaDataException

  Returns:
    unmodifiable List of results. May NOT be null. Implementer must return Collections.EMPTY_LIST instead.
  Throws:
    `MetaDataException`

### close

    void close()
               throws MetaDataException

  Signal that the query results are no longer required allowing for any cleanup that may be required Once a resultset is closed, a MetaDataException should be thrown if the next() or hasNext() is called. Clients can check isClosed() first.

  Throws:
    `MetaDataException`

### isClosed

    boolean isClosed()

  Returns:
    true if this resultset has been closed.